/*Теоретичні питання

1. Що таке логічний оператор?
    Логічні оператори-це символи за допомогою яких в js можна змінювати логічне значення виразів.

2. Які логічні оператори є в JavaScript і які їх символи?
&& - Логічне І
|| - Логічне АБО
! - Логічне НІ*/

/*Практичні завдання.

1. Попросіть користувача ввести свій вік за допомогою prompt.

    Якщо вік менше 12 років, виведіть у вікні alert повідомлення про те,

    що він є дитиною, якщо вік менше 18 років, виведіть повідомлення про те,

    що він є підлітком, інакше виведіть повідомлення про те, що він є дорослим.
/*Завдання з підвищенною складністю.

    Перевірте чи ввів користувач саме число в поле prompt. Якщо ні, то виведіть повідомлення, що введено не число.*/

const age = +prompt("What is your age?")
    if (!isNaN(age)){
        if(age <12){
            alert("You are kid")
        } else if(age < 18){
            alert("You are teen")
        } else {
            alert("You are adult")
        }
    }else{
        alert("Please enter number")
    }




/*2. Напишіть програму, яка запитує у користувача місяць року (українською мовою маленкими літерами) та виводить повідомлення,

    скільки днів у цьому місяці. Результат виводиться в консоль.

    Скільки днів в кожному місяці можна знайти тут в розділі Юліанський і Григоріанський календарі - https://uk.wikipedia.org/wiki/%D0%9C%D1%96%D1%81%D1%8F%D1%86%D1%8C_(%D1%87%D0%B0%D1%81)

(Використайте switch case)*/
const month = prompt("Введіть назву місяця");

switch (month) {
    case 'січень':
    case 'березень':
    case 'травень':
    case 'липень':
    case 'серпень':
    case 'жовтень':
    case 'грудень':
        console.log("31 день");
        break;
    case 'квітень':
    case 'червень':
    case 'вересень':
    case 'листопад':
        console.log("30 днів");
        break;
    case 'лютий':
        console.log("28 або (29 висок.)");
        break;
    default:
        console.log("Введіть коректну назву місяця");
        break;
}
